Bug 11946 - Samba and CTDB packages both have tevent-unix-util dependency
Samba and CTDB packages both have tevent-unix-util dependency
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
4.4.x
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-02 07:24 UTC by Amitay Isaacs
Modified: 2016-06-15 09:31 UTC (History)
2 users (show)

See Also:


Attachments
Patches for v4-4 branch (4.86 KB, patch)
2016-06-09 04:14 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2016-06-02 07:24:17 UTC
With current packaging for RH/Fedora, Samba (samba-client-libs) and CTDB conflict on public library libtevent-unix-util.so.

This can be avoided by converting libtevent-unix-util.so as a private library.
Comment 1 Amitay Isaacs 2016-06-09 04:14:59 UTC
Created attachment 12171 [details]
Patches for v4-4 branch
Comment 2 Martin Schwenke 2016-06-09 10:48:57 UTC
Hi Karolin.  This is ready to go into 4.4.  Thanks...
Comment 3 Karolin Seeger 2016-06-09 10:58:11 UTC
(In reply to Martin Schwenke from comment #2)
Pushed to autobuild-v4-4-test.
Comment 4 Karolin Seeger 2016-06-15 09:31:01 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-4-test.
Closing out bug report.

Thanks!